Loading...
Searching...
No Matches
BALL::VIEW::PositionColorProcessor Class Reference

`#include <BALL/VIEW/MODELS/standardColorProcessor.h>`

Inheritance diagram for BALL::VIEW::PositionColorProcessor:

## Public Member Functions

| PositionColorProcessor ()
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
void | setColors (const vector< ColorRGBA > &colors)
vector< ColorRGBA > & | getColors ()
const vector< ColorRGBA > & | getColors () const
bool | start ()
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual Processor::Result | operator() (GeometricObject *&object)
Size | getTransparency () const
virtual void | setTransparency (Size value)
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&)

## Protected Member Functions

virtual const Composite * | getAncestor_ (const Composite &)
virtual bool | isOK_ (const Composite &)
Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)
virtual bool | canUseMeshShortcut_ (const Composite &)

## Protected Attributes

vector< ColorRGBA > | colors_
HashMap< const Composite *, Position > | composite_to_position_
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Additional Inherited Members

Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer

## Detailed Description

Definition at line 133 of file standardColorProcessor.h.

## Constructor & Destructor Documentation

## PositionColorProcessor()

BALL::VIEW::PositionColorProcessor::PositionColorProcessor | ( |  | ) |

## Member Function Documentation

## getAncestor_()

virtual const Composite * BALL::VIEW::PositionColorProcessor::getAncestor_ | ( | const Composite & |  | ) |

inline protected virtual

Reimplemented in BALL::VIEW::ChainColorProcessor, and BALL::VIEW::MoleculeColorProcessor.

Definition at line 160 of file standardColorProcessor.h.

## getColor()

virtual void BALL::VIEW::PositionColorProcessor::getColor | ( | const Composite & | composite,
|  | ColorRGBA & | color_to_be_set )

virtual

Calculate a color for a Composite. The given ColorRGBA instance is set to the calculated color. This method is called by the operator() method. Here it just sets the default color. You have to overload this operator in derived classes.

Reimplemented from BALL::VIEW::ColorProcessor.

## getColors() [1/2]

vector< ColorRGBA > & BALL::VIEW::PositionColorProcessor::getColors | ( |  | ) |

inline

Definition at line 150 of file standardColorProcessor.h.

## getColors() [2/2]

const vector< ColorRGBA > & BALL::VIEW::PositionColorProcessor::getColors | ( |  | ) | const

inline

Definition at line 153 of file standardColorProcessor.h.

## isOK_()

virtual bool BALL::VIEW::PositionColorProcessor::isOK_ | ( | const Composite & |  | ) |

inline protected virtual

Reimplemented in BALL::VIEW::ChainColorProcessor, and BALL::VIEW::MoleculeColorProcessor.

Definition at line 162 of file standardColorProcessor.h.

## setColors()

void BALL::VIEW::PositionColorProcessor::setColors | ( | const vector< ColorRGBA > & | colors | ) |

inline

Definition at line 147 of file standardColorProcessor.h.

## start()

bool BALL::VIEW::PositionColorProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::VIEW::ColorProcessor.

## Member Data Documentation

## colors_

vector<ColorRGBA> BALL::VIEW::PositionColorProcessor::colors_

protected

Definition at line 164 of file standardColorProcessor.h.

## composite_to_position_

HashMap<const Composite*, Position> BALL::VIEW::PositionColorProcessor::composite_to_position_

protected

Definition at line 165 of file standardColorProcessor.h.